#include <iostream>
using namespace std;
#include<cmath>
#include<algorithm>
#include <stdio.h>

void merge(long double arr[], int l, int m, int r,long double p[],int n)
{
    int n1 = m - l + 1;
    int n2 = r - m;
    
    double L[n1], R[n2];
    double L1[n1],R1[n2];
    
    for (int i = 0; i < n1; i++)
    {
	   L[i] = arr[l + i];
       L1[i] = p[l+i];
	}   
	

    for (int j = 0; j < n2; j++)
        {
        	R[j] = arr[m + 1 + j];
        	R1[j] = p[m + 1 + j];
		}
 
    
    int i = 0;    
    int j = 0;
 
   
    int k = l;
 
    while (i < n1 && j < n2) {
        if (L[i] <= R[j])
		 {
            arr[k] = L[i];
            p[k]=L1[i];
            i++;
        }
        else {
            arr[k] = R[j];
            p[k]=R1[j];
            j++;
        }
        k++;
    }
 
   
    while (i < n1) {
        arr[k] = L[i];
        p[k]=L1[i];
        i++;
        k++;
    }
 

    while (j < n2) {
        arr[k] = R[j];
        p[k]=R1[j];
        j++;
        k++;
    }
}
 

void mergeSort(long double arr[],int l,int r,long double p[],int n){
    if(l>=r){
        return;
    }
    int m = (l+r-1)/2;
    mergeSort(arr,l,m,p,n);
    mergeSort(arr,m+1,r,p,n);
    merge(arr,l,m,r,p,n);
}
 
int main(int argc, char** argv)

{
	
	int n;
	cin>>n;
 long double a[n];
 long double p[n];
	for(int i=0;i<n;i++)
	{
		cin>>a[i]>>p[i];
	}
	

	
     mergeSort(p,0,n-1,a,n);
     
    
     
    long double suma=0.0;
     for(int i=0;i<n;i++)
	 {
	 	suma+=a[i];
	 }
	 long double ukupno=suma/100*p[0];
	 
     for(int i=0;i<n-1;i++)
	 {
	    suma-=a[i];
	    
	   long double pretkazanje=p[i+1]*suma/100;
	    if(pretkazanje>ukupno)
		{
	
			ukupno=pretkazanje;
		}
	 }
	 printf("%f",ukupno);
	 
	
}